Bug 463689 - [LTC 6.0 FEAT] 201590:FCP - Performance Data collection (kernel)
[LTC 6.0 FEAT] 201590:FCP - Performance Data collection (kernel)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
s390x All
high Severity high
: alpha
: ---
Assigned To: Hans-Joachim Picht
Martin Jenner
: FutureFeature
Depends On:
Blocks: 356741 465490
  Show dependency treegraph
 
Reported: 2008-09-24 02:21 EDT by IBM Bug Proxy
Modified: 2010-08-17 03:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 06:48:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-24 02:21:04 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:19 EDT
1. Feature Overview:
Feature Id:	[201590]
a. Name of Feature:	FCP - Performance Data collection  (kernel)
b. Feature Description
The item comprises:    
a) facilities which provide performance relevant data (see below) at any time    
b) facilities which collect the data provided by a), then associate it with a time stamp and and
store it for future processing         
- these facilities are configurable in regard of the type and amount of data collected for the
purpose of reducing the amount of temporarily stored data.         
- when data is taken as samples, the sampling interval is configurable         
- collected data can be filtered by e.g masks for valid stack components (see below) before data is
stored for further processing    
c) facilities which present the data stored by b) in  a human readable way.    
d) Data presented shall contain enough information to make FCP performance data comparable with
current capabilities of FICON data collections.        
Data collected comprises:    
a) Performance relevant data about stack components as Linux devices, SCSI LUNs and HBA and storage
controller information    
b) Per stack component: current values of relevant measurements as throughput, utilization and other
applicable measurements     
c) Statistical aggregations (min, max average, histogram) of data associated with I/O requests as
size, latency per component and in total.

Additional Comments:	This feature is the kernel part to feature 201591 FCP - Performance Data
collection & analysis (userspace), and feature 201729 FCP - Performance Data collection & analysis
(blktrace)

2. Feature Details:
Sponsor:	zSeries
Architectures:
s390x

Arch Specificity: Both
Affects Core Kernel: Yes
Affects Kernel Modules: Yes
Delivery Mechanism: Direct from community
Category:	Kernel
Request Type:	Kernel - Enhancement from Upstream
d. Upstream Acceptance:	In Progress
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.6.28

3. Business Case
This item will make possible to have a better understanding of the SCSI activities and performance
of the customer system, being able afterward to better solve FCP issues regarding customer's SCSI
workloads.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):

Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 1 IBM Bug Proxy 2009-03-02 08:41:31 EST
via upstream kernel, no code to attach to feature BZ
Comment 2 IBM Bug Proxy 2009-03-03 14:21:11 EST
This feature has two required co-feature requests to be complete,
that are
48076 ??-?? RHBZ 463688 [LTC 6.0 FEAT] 201591:FCP - Performance Data colletion & analysis (userspace)
48116 ??-?? RHBZ 464179 [LTC 6.0 FEAT] 201729:FCP - Performance data collection (blktrace)
Comment 3 IBM Bug Proxy 2009-09-16 02:20:51 EDT
------- Comment From mgrf@de.ibm.com 2009-09-16 02:18 EDT-------
For the record:
The code for this feature  is accepted upstream with k 2.6.28.

Please note the related feature requests for blktrace and userspace
Comment 4 Hans-Joachim Picht 2009-09-17 06:48:50 EDT
Code is included in the rhel6 kernel via upstream. Marked as CLOSED/CURRENTRELEASE by by Hans-Joachim Picht <hpicht@redhat.com>
Comment 5 IBM Bug Proxy 2010-08-17 03:21:33 EDT
------- Comment From mgrf@de.ibm.com 2010-08-17 03:19 EDT-------
This feature is verified on R6 snapshots
Set feature to "verified"  Thx

Note You need to log in before you can comment on or make changes to this bug.